Bug 749439 - Implement PO file download
Implement PO file download
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI, Usability (Show other bugs)
1.4.1
Unspecified Unspecified
medium Severity unspecified
: Sprint-29
: 1.5
Assigned To: Carlos Munoz
David Mason
:
Depends On:
Blocks: 725319 748696 756230
  Show dependency treegraph
 
Reported: 2011-10-26 23:59 EDT by Carlos Munoz
Modified: 2012-04-23 00:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: 5
Clone Of:
Environment:
Last Closed: 2012-04-23 00:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2011-10-26 23:59:27 EDT
Description of problem:
This bug is relates to the download portion of https://bugzilla.redhat.com/show_bug.cgi?id=725319. Language team translators should be able to download PO files for each individual document or the whole project.

Version-Release number of selected component (if applicable):
1.4.x
Comment 1 Carlos Munoz 2011-11-08 23:43:06 EST
Added a "Files" section where individual files (po only at this time) can be downloaded. There's also an option to download all files for the iteration / language. 

Merged into 1.5.x tracking branch.
Comment 2 David Mason 2012-01-06 00:16:01 EST
Some po files appear to have the content type charset in the header set to "CHARSET", whereas others have the correct value "UTF8"
Comment 3 Sean Flanigan 2012-02-06 00:42:49 EST
The charset=CHARSET problem is fixed in bug 748727.

There's a few more changes for this story in https://github.com/zanata/zanata/commit/a9ee3c796325c155070442de0450b2296071deca and https://github.com/zanata/zanata/commit/9032882c3f5f8f2f3c41c7202c762f12d3bdf976.

But we do need a slight change to the algorithm which generates some of the PO headers: if you upload a PO, *don't* change anything via the webtrans editor, and then download the PO, you should get back the lastTranslator/date that was uploaded.
Comment 4 Carlos Munoz 2012-02-06 20:09:53 EST
The system will now check for the original (as in when pushed) PO-Revision-Date header value. If this date is more current than any of the 'Last Changed' dates in any of the translations, the PO files produced will keep the original values for PO-Revision-Date and Last-Translator header values.
Otherwise, the system will generate values according to the internal data.


For changes see:
https://github.com/zanata/zanata/commit/8ab71d1a3b2b2d7d72d7cc195ac5ffa466372912
https://github.com/zanata/zanata/commit/8376864ffa0045e6f28027b069761d260fc6d3be
Comment 5 David Mason 2012-02-07 02:14:55 EST
Was reporting revision date and last translator based on last approved string in document, rather than most recent approved date. Fixed in https://github.com/zanata/zanata/commit/73449eed5cf276a2b4ac1b654563aaf443af5143
Comment 6 David Mason 2012-02-07 02:22:42 EST
verified in 1.5

Note You need to log in before you can comment on or make changes to this bug.